Bio::Tools::Tmhmm(3)

NAME
Bio::Tools::Tmhmm - parse TmHMM output (transmembrane HMM)

SYNOPSIS
  use Bio::Tools::Tmhmm;
  my $parser = new Bio::Tools::Tmhmm(-fh =>$filehandle );
  while( my $tmhmm_feat = $parser->next_result ) {
     #do something
     #eg
     push @tmhmm_feat, $tmhmm_feat;
  }

DESCRIPTION
Parser for Tmhmm output

FEEDBACK

  Mailing Lists
user feedback is an integral part of the evolution of this and other Bioperl modules. Send your comments and suggestions preferably to the Bioperl mailing list. Your participation is much appreciated.

  bioperl-l@bioperl.org              - General discussion
  http://bioperl.org/MailList.shtml  - About the mailing lists

  Reporting Bugs
Report bugs to the Bioperl bug tracking system to help us keep track of the bugs and their resolution. Bug reports can be submitted via email or the web:

  bioperl-bugs@bioperl.org
  http://bugzilla.bioperl.org/

AUTHOR - Bala
Email savikalpa@fugu-sg.org

APPENDIX
The rest of the documentation details each of the object methods. Internal methods are usually preceded with a _

  new
 Title   : new
 Usage   : my $obj = new Bio::Tools::Tmhmm();
 Function: Builds a new Bio::Tools::Tmhmm object
 Returns : Bio::Tools::Tmhmm
 Args    : -fh/-file => $val, # for initing input, see Bio::Root::IO

  next_result
 Title   : next_result
 Usage   : my $feat = $Tmhmm->next_result
 Function: Get the next result set from parser data
 Returns : Bio::SeqFeature::Generic
 Args    : none

  create_feature
 Title   : create_feature
 Usage   : obj->create_feature(\%feature)
 Function: Internal(not to be used directly)
 Returns : A Bio::SeqFeature::Generic object
 Args    :

  _seqname
 Title   :   _seqname
 Usage   :   obj->_seqname($seqname)
 Function:   Internal(not to be used directly)
 Returns :
 Args    :   seqname